Discover required fields, constraints, media types and example values for a template
Discover required fields, constraints, media types and example values for a template. Published, version-pinned projects with typed inputs for repeatable image and video generation. Required API key scopes: `templates:read`.
Authorization
apiKeyAuth Path Parameters
Resource identifier
Query Parameters
Optional immutable template version
1 <= valueResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/templates/string/inputs"{ "success": true, "data": [ { "id": "title", "label": "Title", "type": "string", "default": "Launch faster", "required": true, "description": "Main campaign title", "acceptedMimeTypes": [], "usageCount": 1, "examples": [ "A better launch" ] } ]}Update a template from a project PUT
Update a template from a project. Published, version-pinned projects with typed inputs for repeatable image and video generation. Required API key scopes: `templates:write`.
Queue a render directly from a pinned template version without creating a project POST
Queue a render directly from a pinned template version without creating a project. Published, version-pinned projects with typed inputs for repeatable image and video generation. Required API key scopes: `templates:render`.